Index: README
===================================================================
--- README	(revision 14683)
+++ README	(working copy)
@@ -79,34 +79,39 @@
     `make'. If the build fails with another variant of `make', please
     try using GNU `make'.
 
- 1. Run the script `configure' (which is in the same directory as this
-    README), possibly with a --prefix=TARGETDIR command-line argument
-    and optionally with --enable-shared.  It is better to run the
-    build in a different directory rather then use this directory.
+ 1. Select (or create) a build directory.  It is better to run the
+    build in a different directory rather than use this directory.
 
+    A common choice for in-place builds is to create the [here]/build
+    subdirectory (where "[here]" is the directory path containing the
+    `configure' script).  This is especially convenient if you plan to
+    update your source tree from the plt repository.  Such updates
+    might involve changes in the structure, which will leave your
+    source tree in an inconsistent state (eg, old Makefiles referring
+    to nonexistent files).  In such cases it is convenient to just
+    remove the "build" directory, then re-create it and start a fresh
+    build.
+
+ 2. Run the script `configure' (which is in the same directory as this
+    README) from your build directory, possibly with a
+    --prefix=TARGETDIR command-line argument and optionally with
+    --enable-shared.
+
     For example, if you want to install into /usr/local/plt using
     dynamic libraries, then run
 
         [here]configure --prefix=/usr/local/plt --enable-shared
 
-    where "[here]" is the directory path containing the `configure'
+    Again, "[here]" is the directory path containing the `configure'
     script (possibly unnecessary, or possibly just "./", depending on
     your shell and PATH setting).  To use a different directory for
-    the build (which is recommended), for example a subdirectory named
-    "build":
+    the build, such as the [here]/build suggestion from above:
 
         cd [here]
         mkdir build
         cd build
         ../configure --prefix=/usr/local/plt --enable-shared
 
-    (This is especially more convenient if you plan to update your
-    source tree from the plt repository.  Such updates might involve
-    changes in the structure, which will leave your source tree in an
-    inconsistent state (eg, old Makefiles referring to inexistent
-    files).  In such cases it is convenient to just remove the "build"
-    directory and start a fresh build.)
-
     If the --prefix flag is omitted, the binaries are built for an
     in-place installation (i.e., the parent of the directory
     containing this README will be used directly). Unless
@@ -151,7 +156,7 @@
     build directory (but the same source) for each platform or
     configuration.
 
- 2. Run `make'. [As noted in step 0, this must be GNU `make'.]
+ 3. Run `make'. [As noted in step 0, this must be GNU `make'.]
 
     With Cygwin, you may need to use `make --unix'.
 
@@ -159,7 +164,7 @@
     directory. For example, the `mzscheme' binary appears in the
     `mzscheme' directory.
 
- 3. Run `make install'.
+ 4. Run `make install'.
 
     This step copies binaries and libraries into place within the
     target installation. For example, the `mzscheme' binary is copied
@@ -184,9 +189,9 @@
 
     If the installation fails because the target directory cannot be
     created, or because the target directory is not the one you
-    wanted, then you can try repeating step 3 after runing `configure'
+    wanted, then you can try repeating step 4 after runing `configure'
     again with a new --prefix value. That is, sometimes it is not
-    necessary to repeat steps 1 or 2 (so try it and find out). On
+    necessary to repeat steps 2 or 3 (so try it and find out). On
     other platforms and configurations, it is necessary to start with
     a clean build directory when changing the --prefix value, because
     the path gets wired into shared objects.